%define dbus_glib_version 0.74
%define dbus_version 1.1.2
%define __noautoreq pkgconfig.*
%define py3dir %{_builddir}/python3-%{name}-%{version}-%{release}

Summary: D-Bus Python Bindings
Name: dbus-python
Version: 1.2.0
Release: 1

Group: Development/Python
URL: http://www.freedesktop.org/wiki/Software/DBusBindings
License: MIT
Source0: http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1: http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz.asc

BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: python-devel
BuildRequires: python3-devel

%description
D-Bus python bindings for use with python programs.

%package -n python-dbus
Summary: D-Bus Python Bindings
Group: Development/Python
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Requires: dbus >= %{dbus_version}

%description -n python-dbus
D-Bus python 3 bindings for use with python programs.

%package -n python3-dbus
Version: %{version}
Summary: D-Bus Python 3 Bindings
Group: Development/Python
Provides: python3-dbus = %{version}-%{release}
Requires: dbus >= %{dbus_version}

%description -n python3-dbus
D-Bus python bindings for use with python 3 programs.

%prep

%setup -q
rm -rf %{py3dir}
mkdir %{py3dir}
cp -a . %{py3dir}

%build
%configure2_5x --disable-api-docs
%make

pushd %{py3dir}
%configure2_5x --disable-api-docs PYTHON=%__python3
%make
popd

%install
%makeinstall_std

pushd %{py3dir}
%makeinstall_std
popd

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dbus-python

%files -n python-dbus
%doc COPYING NEWS doc/*.txt README
%{py_puresitedir}/dbus*
%{py_platsitedir}/_dbus_*
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc

%files -n python3-dbus
%doc COPYING NEWS doc/*.txt README
%{py3_puresitedir}/dbus*
%{py3_platsitedir}/_dbus_*


%changelog
* Thu Jul 10 2014 Tigro <ashejn@gmail.com> 1.2.0-1
+ Revision: 0673a34
- update to 1.2.0


